/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.common.dto;

import jp.mosp.common.common.BaseDto;

/**
 * M_KAISYA(会社基礎情報)のDTOクラス。
 */
public class MKaisyaDto extends BaseDto {
	
	private static final long	serialVersionUID	= 3115468966868261668L;
	
	// フィールド
	private String				id					= "";					//事業所コード
	private String				kaimei				= "";					//会社名
	private String				kaifuri				= "";					//ふりがな
	private String				kjigyonusi			= "";					//事業主
	private String				kaiyubin			= "";					//郵便番号
	private String				kaijyusyo			= "";					//住所
	private String				kaitel				= "";					//電話番号
	private String				kaifax				= "";					//ファックス番号
	private int					rodoubi				= 0;					//月間所定労働日数
	private int					roudouji			= 0;					//月間所定労働時間数
	private int					roudouji1			= 0;					//一日所定労働時間数
	private int					zaritu				= 0;					//普通残業割増率
	private int					ksritu				= 0;					//休日残業割増率
	private int					snritu				= 0;					//深夜残業割増率
	private String				zantankbn			= "";					//残業単価自動計算
	private double				ritkoyou			= 0;					//雇用保険率
	private double				ritkkoyou			= 0;					//雇用保険率会社
	private double				ritkenpo			= 0;					//健康保険料率
	private double				ritkkenpo			= 0;					//健康保険料率会社
	private double				ritkaigo			= 0;					//介護保険料率
	private double				ritkkaigo			= 0;					//介護保険料率会社
	private double				ritkosei			= 0;					//厚生年金料率
	private double				ritkkosei			= 0;					//厚生年金料率会社
	private double				ritkosei3			= 0;					//厚生年金三種料率
	private double				ritkkosei3			= 0;					//厚生年金三種料率
	private String				kosei3kbn			= "";					//厚生年金第三種
	private String				kikinkbn			= "";					//厚生年金基金加入
	private double				ritkikin			= 0;					//厚生年金料率基金
	private double				ritkkikin			= 0;					//厚生年金料率基金
	private double				ritkikin3			= 0;					//厚生年金三種料率基金
	private double				ritkkikin3			= 0;					//厚生年金三種料率基金
	private String				syahofugo			= "";					//郡市区符号
	private String				syahokigo			= "";					//事業所記号
	private String				syahobango			= "";					//事業所番号
	private String				kenpojino			= "";					//健康保険事業所番号
	private String				kikinjino			= "";					//厚生年金基金事業所番号
	private String				kaibank				= "";					//取引銀行名
	private String				server				= "";					//サーバー名
																			
	
	/**
	 * コンストラクタ
	 */
	public MKaisyaDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return id 	事業所コード。
	 */
	public String getId() {
		return id;
	}
	
	/**
	 * @return kaimei 	会社名。
	 */
	public String getKaiMei() {
		return kaimei;
	}
	
	/**
	 * @return kaifuri 	ふりがな。
	 */
	public String getKaiFuri() {
		return kaifuri;
	}
	
	/**
	 * @return kjigyonusi 	事業主。
	 */
	public String getKJigyoNusi() {
		return kjigyonusi;
	}
	
	/**
	 * @return kaiyubin 	郵便番号。
	 */
	public String getKaiYubin() {
		return kaiyubin;
	}
	
	/**
	 * @return kaijyusyo 	住所。
	 */
	public String getKaiJyusyo() {
		return kaijyusyo;
	}
	
	/**
	 * @return kaitel 	電話番号。
	 */
	public String getKaiTel() {
		return kaitel;
	}
	
	/**
	 * @return kaifax 	ファックス番号。
	 */
	public String getKaiFax() {
		return kaifax;
	}
	
	/**
	 * @return rodoubi 	月間所定労働日数。
	 */
	public int getRodouBi() {
		return rodoubi;
	}
	
	/**
	 * @return roudouji 	月間所定労働時間数。
	 */
	public int getRoudouJi() {
		return roudouji;
	}
	
	/**
	 * @return roudouji1 	一日所定労働時間数。
	 */
	public int getRoudouJi1() {
		return roudouji1;
	}
	
	/**
	 * @return zaritu 	普通残業割増率。
	 */
	public int getZaRitu() {
		return zaritu;
	}
	
	/**
	 * @return ksritu 	休日残業割増率。
	 */
	public int getKsRitu() {
		return ksritu;
	}
	
	/**
	 * @return snritu 	深夜残業割増率。
	 */
	public int getSnRitu() {
		return snritu;
	}
	
	/**
	 * @return zantankbn 	残業単価自動計算。
	 */
	public String getZanTanKbn() {
		return zantankbn;
	}
	
	/**
	 * @return ritkoyou 	雇用保険率。
	 */
	public double getRitKoyou() {
		return ritkoyou;
	}
	
	/**
	 * @return ritkkoyou 	雇用保険率会社。
	 */
	public double getRitKKoyou() {
		return ritkkoyou;
	}
	
	/**
	 * @return ritkenpo 	健康保険料率。
	 */
	public double getRitKenpo() {
		return ritkenpo;
	}
	
	/**
	 * @return ritkkenpo 	健康保険料率会社。
	 */
	public double getRitKKenpo() {
		return ritkkenpo;
	}
	
	/**
	 * @return ritkaigo 	介護保険料率。
	 */
	public double getRitKaigo() {
		return ritkaigo;
	}
	
	/**
	 * @return ritkkaigo 	介護保険料率会社。
	 */
	public double getRitKKaigo() {
		return ritkkaigo;
	}
	
	/**
	 * @return ritkosei 	厚生年金料率。
	 */
	public double getRitKosei() {
		return ritkosei;
	}
	
	/**
	 * @return ritkkosei 	厚生年金料率会社。
	 */
	public double getRitKKosei() {
		return ritkkosei;
	}
	
	/**
	 * @return ritkosei3 	厚生年金三種料率。
	 */
	public double getRitKosei3() {
		return ritkosei3;
	}
	
	/**
	 * @return ritkkosei3 	厚生年金三種料率。
	 */
	public double getRitKKosei3() {
		return ritkkosei3;
	}
	
	/**
	 * @return kosei3kbn 	厚生年金第三種。
	 */
	public String getKosei3Kbn() {
		return kosei3kbn;
	}
	
	/**
	 * @return kikinkbn 	厚生年金基金加入。
	 */
	public String getKikinKbn() {
		return kikinkbn;
	}
	
	/**
	 * @return ritkikin 	厚生年金料率基金。
	 */
	public double getRitKikin() {
		return ritkikin;
	}
	
	/**
	 * @return ritkkikin 	厚生年金料率基金。
	 */
	public double getRitKKikin() {
		return ritkkikin;
	}
	
	/**
	 * @return ritkikin3 	厚生年金三種料率基金。
	 */
	public double getRitKikin3() {
		return ritkikin3;
	}
	
	/**
	 * @return ritkkikin3 	厚生年金三種料率基金。
	 */
	public double getRitKKikin3() {
		return ritkkikin3;
	}
	
	/**
	 * @return syahofugo 	郡市区符号。
	 */
	public String getSyahoFugo() {
		return syahofugo;
	}
	
	/**
	 * @return syahokigo 	事業所記号。
	 */
	public String getSyahoKigo() {
		return syahokigo;
	}
	
	/**
	 * @return syahobango 	事業所。
	 */
	public String getSyahoBango() {
		return syahobango;
	}
	
	/**
	 * @return kenpojino 	健康保険事業所番号。
	 */
	public String getKenpoJiNo() {
		return kenpojino;
	}
	
	/**
	 * @return kikinjino 	厚生年金基金事業所番号。
	 */
	public String getKikinJiNo() {
		return kikinjino;
	}
	
	/**
	 * @return kaibank 	取引銀行名。
	 */
	public String getKaiBank() {
		return kaibank;
	}
	
	/**
	 * @return server 	サーバー名。
	 */
	public String getServer() {
		return server;
	}
	
	/**
	 * @param id 	セットする事業所コード。
	 */
	public void setId(String id) {
		this.id = id;
	}
	
	/**
	 * @param kaimei 	セットする会社名。
	 */
	public void setKaiMei(String kaimei) {
		this.kaimei = kaimei;
	}
	
	/**
	 * @param kaifuri 	セットするふりがな。
	 */
	public void setKaiFuri(String kaifuri) {
		this.kaifuri = kaifuri;
	}
	
	/**
	 * @param kjigyonusi 	セットする事業主。
	 */
	public void setKJigyoNusi(String kjigyonusi) {
		this.kjigyonusi = kjigyonusi;
	}
	
	/**
	 * @param kaiyubin 	セットする郵便番号。
	 */
	public void setKaiYubin(String kaiyubin) {
		this.kaiyubin = kaiyubin;
	}
	
	/**
	 * @param kaijyusyo 	セットする住所。
	 */
	public void setKaiJyusyo(String kaijyusyo) {
		this.kaijyusyo = kaijyusyo;
	}
	
	/**
	 * @param kaitel 	セットする電話番号。
	 */
	public void setKaiTel(String kaitel) {
		this.kaitel = kaitel;
	}
	
	/**
	 * @param kaifax 	セットするファックス番号。
	 */
	public void setKaiFax(String kaifax) {
		this.kaifax = kaifax;
	}
	
	/**
	 * @param rodoubi 	セットする月間所定労働日数。
	 */
	public void setRodouBi(int rodoubi) {
		this.rodoubi = rodoubi;
	}
	
	/**
	 * @param roudouji 	セットする月間所定労働時間数。
	 */
	public void setRoudouJi(int roudouji) {
		this.roudouji = roudouji;
	}
	
	/**
	 * @param roudouji1 	セットする一日所定労働時間数。
	 */
	public void setRoudouJi1(int roudouji1) {
		this.roudouji1 = roudouji1;
	}
	
	/**
	 * @param zaritu 	セットする普通残業割増率。
	 */
	public void setZaRitu(int zaritu) {
		this.zaritu = zaritu;
	}
	
	/**
	 * @param ksritu 	セットする休日残業割増率。
	 */
	public void setKsRitu(int ksritu) {
		this.ksritu = ksritu;
	}
	
	/**
	 * @param snritu 	セットする深夜残業割増率。
	 */
	public void setSnRitu(int snritu) {
		this.snritu = snritu;
	}
	
	/**
	 * @param zantankbn 	セットする残業単価自動計算。
	 */
	public void setZanTanKbn(String zantankbn) {
		this.zantankbn = zantankbn;
	}
	
	/**
	 * @param ritkoyou 	セットする雇用保険率。
	 */
	public void setRitKoyou(double ritkoyou) {
		this.ritkoyou = ritkoyou;
	}
	
	/**
	 * @param ritkkoyou 	セットする雇用保険率会社。
	 */
	public void setRitKKoyou(double ritkkoyou) {
		this.ritkkoyou = ritkkoyou;
	}
	
	/**
	 * @param ritkenpo 	セットする健康保険料率。
	 */
	public void setRitKenpo(double ritkenpo) {
		this.ritkenpo = ritkenpo;
	}
	
	/**
	 * @param ritkkenpo 	セットする健康保険料率会社。
	 */
	public void setRitKKenpo(double ritkkenpo) {
		this.ritkkenpo = ritkkenpo;
	}
	
	/**
	 * @param ritkaigo 	セットする介護保険料率。
	 */
	public void setRitKaigo(double ritkaigo) {
		this.ritkaigo = ritkaigo;
	}
	
	/**
	 * @param ritkkaigo 	セットする介護保険料率会社。
	 */
	public void setRitKKaigo(double ritkkaigo) {
		this.ritkkaigo = ritkkaigo;
	}
	
	/**
	 * @param ritkosei 	セットする厚生年金料率。
	 */
	public void setRitKosei(double ritkosei) {
		this.ritkosei = ritkosei;
	}
	
	/**
	 * @param ritkkosei 	セットする厚生年金料率会社。
	 */
	public void setRitKKosei(double ritkkosei) {
		this.ritkkosei = ritkkosei;
	}
	
	/**
	 * @param ritkosei3 	セットする厚生年金三種料率。
	 */
	public void setRitKosei3(double ritkosei3) {
		this.ritkosei3 = ritkosei3;
	}
	
	/**
	 * @param ritkkosei3 	セットする厚生年金三種料率。
	 */
	public void setRitKKosei3(double ritkkosei3) {
		this.ritkkosei3 = ritkkosei3;
	}
	
	/**
	 * @param kosei3kbn 	セットする厚生年金第三種。
	 */
	public void setKosei3Kbn(String kosei3kbn) {
		this.kosei3kbn = kosei3kbn;
	}
	
	/**
	 * @param kikinkbn 	セットする厚生年金基金加入。
	 */
	public void setKikinKbn(String kikinkbn) {
		this.kikinkbn = kikinkbn;
	}
	
	/**
	 * @param ritkikin 	セットする厚生年金料率基金。
	 */
	public void setRitKikin(double ritkikin) {
		this.ritkikin = ritkikin;
	}
	
	/**
	 * @param ritkkikin 	セットする厚生年金料率基金。
	 */
	public void setRitKKikin(double ritkkikin) {
		this.ritkkikin = ritkkikin;
	}
	
	/**
	 * @param ritkikin3 	セットする厚生年金三種料率基金。
	 */
	public void setRitKikin3(double ritkikin3) {
		this.ritkikin3 = ritkikin3;
	}
	
	/**
	 * @param ritkkikin3 	セットする厚生年金三種料率基金。
	 */
	public void setRitKKikin3(double ritkkikin3) {
		this.ritkkikin3 = ritkkikin3;
	}
	
	/**
	 * @param syahofugo 	セットする郡市区符号。
	 */
	public void setSyahoFugo(String syahofugo) {
		this.syahofugo = syahofugo;
	}
	
	/**
	 * @param syahokigo 	セットする事業所記号。
	 */
	public void setSyahoKigo(String syahokigo) {
		this.syahokigo = syahokigo;
	}
	
	/**
	 * @param syahobango 	セットする事業所。
	 */
	public void setSyahoBango(String syahobango) {
		this.syahobango = syahobango;
	}
	
	/**
	 * @param kenpojino 	セットする健康保険事業所番号。
	 */
	public void setKenpoJiNo(String kenpojino) {
		this.kenpojino = kenpojino;
	}
	
	/**
	 * @param kikinjino 	セットする厚生年金基金事業所番号。
	 */
	public void setKikinJiNo(String kikinjino) {
		this.kikinjino = kikinjino;
	}
	
	/**
	 * @param kaibank 	セットする取引銀行名。
	 */
	public void setKaiBank(String kaibank) {
		this.kaibank = kaibank;
	}
	
	/**
	 * @param server 	セットするサーバー名。
	 */
	public void setServer(String server) {
		this.server = server;
	}
}
